Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.logging
Class FileStreamHandler

    java.lang.Object
      |
      +--java.util.logging.Handler
            |
            +--java.util.logging.StreamHandler
                  |
                  +--weblogic.logging.FileStreamHandler

public final class FileStreamHandler
extends java.util.logging.StreamHandler
implements javax.management.NotificationListener

A simple handler which outputs text messages to a log file. This handler is used for both the server and the domain logging. Supports rotation of the log file based on settings in the LogMBean. In development mode the log file is rotated be default on server startup. The default policy for log rotation is size based.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `LogMBean`

Constructor Summary
`FileStreamHandler(LogMBean config)`

Method Summary
`void` | `publish(java.util.logging.LogRecord rec)` Outputs the log record to the log file.

Methods inherited from class java.util.logging.StreamHandler
`close, flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileStreamHandler

    public FileStreamHandler(LogMBean config)

Method Detail

### publish

    public void publish(java.util.logging.LogRecord rec)

  Outputs the log record to the log file. If the log file needs rotation the file is rotated first before writing the log to the file. The format of the log record is controlled by the associated Formatter. The default formatter for log entries in the file is LogFileFormatter.

  Parameters:
    `rec` -
  Overrides:
    publish in class java.util.logging.StreamHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD